body {
    padding: 0;
    margin: 0;
    overflow: hidden;
}

#unity-container {
    position: relative;
    width: 960vw;
    height: 600vh;
    margin: 0 auto;
}

#unity-canvas {
    display: block;
    width: 100vw;
    height: 100vh;
    background: #231F20;
}

/* Loading bar */
#unity-loading-bar {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    display: none;
    z-index: 10;
}

#unity-progress-bar-empty {
    width: 141px;
    height: 18px;
    margin-top: 10px;
    margin-left: 6.5px;
    background: url('progress-bar-empty-dark.png') no-repeat center;
}

#unity-progress-bar-full {
    width: 0%;
    height: 18px;
    margin-top: 10px;
    background: url('progress-bar-full-dark.png') no-repeat center;
}

/* Warning messages */
#unity-warning {
    position: absolute;
    left: 50%;
    top: 5%;
    transform: translateX(-50%);
    background: white;
    padding: 10px;
    display: none;
    z-index: 20;
}

/* Website-controlled fullscreen */
#unity-container:fullscreen {
    width: 100vw;
    height: 100vh;
    margin: 0;
}

#unity-container:fullscreen #unity-canvas {
    width: 100%;
    height: 100%;
}
